Version 3.2.0 Bêta

Forum Général sur les questions que vous vous posez sur le logiciel.
RSI
Gsup LEVEL 1
Messages : 15
Enregistré le : mer. 12 févr. 2020 16:36

Re: Version 3.2.0 Alpha

Message par RSI »

Bonjour,

Bravo et merci pour ce beau logiciel gratuit !
Pourvu que cela dur ...

Quand avez vous prévu la date de sortie de cette nouvelle version ?
Comment se passera la mise à jour depuis la version précédente ?

Merci.
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Alpha

Message par Flox »

Bonjour,

Merci pour votre retour, il est prévu que la version 3.2.0 alpha soit au moin testée pendant 1 mois, avant de passer en version 3.2.0 bêta.

La mise à jour vers cette version se fera comme l'ensemble des autres mises à jour, via les procédures disponibles dans la documentation.

Cdt
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Bêta

Message par Flox »

Bonjour,

la version 3.2.0 est désormais disponible dans le canal bêta du logiciel, vous pourrez la télécharger et l'installer via les méthodes classiques.

Cdt
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Avatar du membre
dumpau62
Gsup LEVEL 4
Messages : 114
Enregistré le : ven. 15 sept. 2017 15:14
Contact :

Re: Version 3.2.0 Bêta

Message par dumpau62 »

Bonjour,

Je test un peu la nouvelle version 3.2.0. Elle est top esthétiquement parlant !!

Par contre, j'étais sur une base de test en 3.1.50 est lors de la migration, j'ai perdu toutes mes données...
Je procède par la méthode de mise à jour classique (un copier-coller des dossiers suivi de l'importation du fichier SQL sur PHPMyAdmin).

Est-ce normal que je perde toutes mes données ?

Merci par avance.

Cdlt
GestSup: 3.2.3 | Debian: 10.2 | MariaDB: 10.3.23 | PHP: 7.4.14
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Bêta

Message par Flox »

Bonjour,

Merci de détailler les opérations réalisées lors de votre mise a jour. Et préciser la méthode automatique ou semi automatique ou manuelle ?

Cdt
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Avatar du membre
dumpau62
Gsup LEVEL 4
Messages : 114
Enregistré le : ven. 15 sept. 2017 15:14
Contact :

Re: Version 3.2.0 Bêta

Message par dumpau62 »

Bonjour,

J'ai téléchargé la version 3.2.0 beta sur votre site.
J'ai une VM Debian 10.2, accès en SSH. Je procède donc à la mise à jour manuelle.

Je copie-colle la nouvelle version sur mon serveur, j'importe le fichier SQL dans ma base de données et c'est ok.
Ça fonctionne parfaitement, par contre, j'ai perdu mes anciennes données et tout le paramétrage...
GestSup: 3.2.3 | Debian: 10.2 | MariaDB: 10.3.23 | PHP: 7.4.14
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Bêta

Message par Flox »

Voici les étapes à réaliser pour une mise à jour manuelle depuis une version 3.1.50 :

https://gestsup.fr/index.php?page=suppo ... 3.2.0#9142
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Avatar du membre
dumpau62
Gsup LEVEL 4
Messages : 114
Enregistré le : ven. 15 sept. 2017 15:14
Contact :

Re: Version 3.2.0 Bêta

Message par dumpau62 »

Bonjour,

Ok, ça fonctionne. Il faut tout copier sauf le fichier "connect.php".

Top! Merci bien.

Cdlt
GestSup: 3.2.3 | Debian: 10.2 | MariaDB: 10.3.23 | PHP: 7.4.14
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Bêta

Message par Flox »

Vous pourrez également si ce n'est fait supprimer le repertoire /install sur votre serveur
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Avatar du membre
Flox
Administrateur du site
Messages : 5411
Enregistré le : jeu. 21 juin 2012 19:00

Re: Version 3.2.0 Bêta

Message par Flox »

Une procédure dédiée est désormais disponible dans la documentation :

https://gestsup.fr/index.php?page=suppo ... 3.2.0#9142
GestSup: 3.2.5 | Debian: 10.6 | Apache: 2.4.46 | MariaDB: 10.5.8| PHP: 8.0.0
Répondre